[workaround] za Chrome, Dia, LibreOffice crash

Apdejt oko 6. Juna je napravio blagi haos kod nekih korisnika, zajedno sa perl-apdejtom, kod mene je bio problem gde je pola aplikacija na sistemu pravilo segfault-ove.
Tako da, ako vam se desi da Chrome/Chromium, LibreOffice, Dia, Guake i druge aplikacije neće ni da se pokrenu, a da Firefox iznenada crashuje na nekim sajtovima, problem je u libxcursor biblioteci, pa jednostavan downgrade rešava problem do daljneg.

sudo pacman -U libxcursor-1.1.14-1-x86_64.pkg.tar.xz

Naravno, ukoliko imate u /var/cache/pacman/pkg , ako ne, onda ga potražite na Arch Rollback Machine-u.

Takođe se ovaj bag javlja i na Antergosu, a moguće je da će i na Manjaru biti ako do tada ne izađe nov apdejt.

Kako se ovako ozbiljan bug provukao!?

Ko zna, nije ni prvi ni poslednji, pre mesec-dva su izvukli Kernel iz testinga koji je bio buildan sa novijom gcc verzijom pa su svi custom moduli popucali i nisu mogli da se koriste na par dana. (npr. Broadcom-wl)